API Reference
List Contact Properties
GET /contact-properties — retrieve a list of contact properties.
GET
/contact-propertiesRetrieve a list of your contact properties.
Query parameters
limitnumberoptionalNumber of contact properties to retrieve. Maximum value: 100. Minimum value: 1.
afterstringoptionalThe ID *after* which we'll retrieve more contact properties (for pagination). This ID will *not* be included in the returned list. Cannot be used with the before parameter.
beforestringoptionalThe ID *before* which we'll retrieve more contact properties (for pagination). This ID will *not* be included in the returned list. Cannot be used with the after parameter.
import { MailBlastr } from 'mailblastr';
const mb = new MailBlastr('mb_xxxxxxxxx');
const { data, error } = await mb.contactProperties.list();
console.log({ data, error });Response
{
"object": "list",
"has_more": false,
"data": [
{
"object": "contact_property",
"id": "b6d24b8e-af0b-4c3c-be0c-359bbd97381e",
"key": "company_name",
"type": "string",
"fallback_value": "Acme Corp",
"created_at": "2026-04-08T00:11:13.000Z"
}
]
}